=== debian/control ===
Source: ros-dashing-voxel-grid-nodes
Section: misc
Priority: extra
Maintainer: Apex.AI, Inc. <opensource@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gtest, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-autoware-auto-cmake, ros-dashing-lidar-utils, ros-dashing-rclcpp, ros-dashing-rclcpp-lifecycle, ros-dashing-sensor-msgs, ros-dashing-voxel-grid, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-voxel-grid-nodes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-lidar-utils, ros-dashing-rclcpp, ros-dashing-rclcpp-lifecycle, ros-dashing-sensor-msgs, ros-dashing-voxel-grid, ros-dashing-ros-workspace
Description: voxel grid filters
